Bug 835089 - Review Request: Script-Tools
Review Request: Script-Tools
Status: CLOSED DUPLICATE of bug 996530
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 10:02 EDT by Simon A. Erat
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-13 07:25:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Spec-File (1.44 KB, text/x-rpm-spec)
2012-06-25 10:56 EDT, Simon A. Erat
no flags Details
F17-src.rpm (106.26 KB, application/x-rpm)
2012-06-25 10:57 EDT, Simon A. Erat
no flags Details
Spec-File (3.25 KB, text/x-rpm-spec)
2012-06-25 15:38 EDT, Simon A. Erat
no flags Details
F17-src.rpm (108.51 KB, application/x-rpm)
2012-06-25 15:39 EDT, Simon A. Erat
no flags Details
Spec-File (3.47 KB, text/x-rpm-spec)
2012-06-26 11:24 EDT, Simon A. Erat
no flags Details
F17-src.rpm (105.61 KB, application/x-rpm)
2012-06-26 11:25 EDT, Simon A. Erat
no flags Details
Tarball (222.53 KB, application/x-gzip)
2013-08-12 06:17 EDT, Simon A. Erat
no flags Details
Specfile (32.16 KB, text/plain)
2013-08-12 06:17 EDT, Simon A. Erat
no flags Details
Package 'source' (265.46 KB, application/x-rpm)
2013-08-12 06:21 EDT, Simon A. Erat
no flags Details

  None (edit)
Description Simon A. Erat 2012-06-25 10:02:52 EDT
Hello,
my name is Simon and i've been a hobby developer for 18 years, writing game-addons, game-managers with Visual Basic 4-6 & .Net, batch files, vb scripts, php, html, and very little c#.
I was a self employed computer & network supporter for small & middle companies, later employed by a 3 letter IT company, and the biggest swiss insurance.

Script-Tools are ment to help you with repeative tasks, such as building RPM's, make a tarball from your development directory, upload your code to sourceforge, to name whats currently working, only.
Currently enhancing the support for rpm builds, SF git handling (branches dont yet work as it should), and add an SSH handler.

The scripts may also help to install a GUI upon a minimal fedora installation.
Best experience is achieved by waiting for netinstall-anaconda to display the "installation done" screen DONT reboot but switch to alt+ctrl+f2, and start the script from a mounted partition, or from a usb device. CHROOT /mnt/sysimage and run "st set".
However, it also works well after a reboot if the device has wired internet.

There is also a Tweak section, offering to modify GRUB2 default values, enable splashscreen for example, or services (systemctl).
Due to no feedback, i couldnt improve the "st tweak services" as much as it probably could.

Many things to become implemented again from previous scripts of mine, such as a cron handler, random background (wallpaper) changer, an useragent generator for firefox, and more, after the dev section is working as intended.

The script is currently regarded ALPHA:
more:   http://sea.hostingsociety.com/dev
source: https://sourceforge.net/p/script-tools/code/
spec:   http://sea.hostingsociety.com/dev/script-tools.spec
srpm:   http://sourceforge.net/projects/script-tools/files/srpm/script-tools-0.6.3-1.fc17.src.rpm/download


Currently reconfigure FAS so i can access Koji again, to build for  F15,F16 and rawhide.
I am aware that the specfile yet still misses a version check, going to be fixed within the next 2 upstreams. If my tries with it work until then.

Also, if you want to be my Mentor (sponsor?), i'd be very happy as i'm still looking for someone ;)

Thank you for reading,
regards
Simon aka sea
Comment 1 Simon A. Erat 2012-06-25 10:56:53 EDT
Created attachment 594204 [details]
Spec-File
Comment 2 Simon A. Erat 2012-06-25 10:57:27 EDT
Created attachment 594205 [details]
F17-src.rpm
Comment 3 Simon A. Erat 2012-06-25 15:38:31 EDT
Created attachment 594263 [details]
Spec-File
Comment 4 Simon A. Erat 2012-06-25 15:39:02 EDT
Created attachment 594264 [details]
F17-src.rpm
Comment 5 Simon A. Erat 2012-06-25 15:39:35 EDT
Changed specfile:
Requires:	bash
Conflicts:	%{name} >= %{version}-%{release}
------------
Upstream:	http://sea.hostingsociety.com/dev

Written a small part about the dev section in README.
Comment 6 Simon A. Erat 2012-06-25 20:16:03 EDT
Some additions:
* All of the code is self written.
* The Script-Tools can run from everywhere, however, by default its sym-linking to /usr/share/script-tools. That is so it can be executed from an usb-stick, usb-harddisk, CD/DvD. For that reason it stores the user data in $HOME/bin/$USER-libs/*. What is on the list todo, but with low priority, to use your own listfiles for the setup of your system from minimal to GUI.
Comment 7 Simon A. Erat 2012-06-26 11:24:27 EDT
Created attachment 594519 [details]
Spec-File
Comment 8 Simon A. Erat 2012-06-26 11:25:13 EDT
Created attachment 594520 [details]
F17-src.rpm
Comment 9 Simon A. Erat 2012-06-26 11:29:45 EDT
Fixed some errors in specfile with help from IRC.

Koji builds
-----------
F16: https://koji.fedoraproject.org/koji/taskinfo?taskID=4197370
Rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=4197211
Comment 10 Simon A. Erat 2012-06-28 09:37:34 EDT
Update:
-------
Since the package is very small, I reconsidered to make the rpm not relocatable.
Further, as i consider it alpha, changed the specfile accordingly.

Upstream:
---------
Spec: http://sea.hostingsociety.com/dev/script-tools.spec
SRPM: http://sea.hostingsociety.com/dev/script-tools-0.6.3-4.fc17.alpha1.src.rpm
Comment 11 Simon A. Erat 2012-06-28 16:09:17 EDT
Reviewing foreign package: https://bugzilla.redhat.com/show_bug.cgi?id=835099
Comment 12 Jason Tibbitts 2012-07-03 21:11:04 EDT
Some notes:

Relocatable packages aren't permitted in Fedora anyway.

The versioning doesn't meet the guidelines; there are only very limited circumstances where something is permitted after the dist tag.  If your package is a prerelease of what will eventually be called 0.6.3, it should be 0.6.3-0.4.alpha1%{?dist}.  Note that the release is less than 1 because it's a prerelease version, and when 0.6.3 is released you can just use 0.6.3-1%{?dist}.
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

You really must untar your source in %prep, not in %install.
 
If you do not intend to support RHEL5, you do not need BuildRoot, %clean or the first line of %install.  Nothing needs the %defattr line in %files.

rpmlint gives a really large number of non-executable script warnings, and some really odd stuff like
  script-tools.noarch: W: dangling-symlink
   /usr/share/script-tools/scripts/simon /home/simon/bin/simon-scripts

You... can't refer to your home directory in an rpm spec file which will be built and installed on systemd that don't have your home directory.

The last changelog entry doesn't match the package version, and your changelog entries don't follow one of the formats specified in the packaging guidelines: http://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

I can't figure out how users are supposed to run any of these scripts as nothing gets installed anywhere in the path.
Comment 13 Simon A. Erat 2012-07-05 06:36:35 EDT
The referene to my homedir is created dynamicly, as soon a directory like:
$HOME/bin/$USER-scripts exists, and will be symlinked to $stDir/scripts/$USER.

The cause for this is to enable users to easy add (implement, use of Script-tools-bash-functions) their own scripts, while keeping those if they remove script-tools, so they wont have to rewrite them.

To your ending saying, it (should?) creates a script script-tools.sh in /etc/profile.d which will be read on start and modifying PATH, so it can be ran from any terminal.

TODO:
* Add code to remove $stDir/script/${/home/users}
* Fix naming
Comment 14 Jason Tibbitts 2012-07-05 15:25:04 EDT
The reference to your homedir is in the package I build; there's nothing dynamic about it.

The magic you do with /etc/profile.d is... not really acceptable.  For one, it doesn't work with csh/tcsh.  For another, it's a pretty rare occurrence for any package to need to modify the path.

I'm really not understanding what is so special about this package.  If this is just a collection of scripts, package them properly into /usr/bin.  Why does it need dynamic references to the your home directory and such?
Comment 15 Simon A. Erat 2012-07-11 10:53:41 EDT
The fixed-symlink, is the result of the checking if there is a $HOME/bin/$USER* directory, if there is one, it creates the symlink, which was left over while i did the fist packaging.

Until now, i didnt feel comfortable with placing them into /usr/bin as the scripts require a directory structure, which i didnt thought would be allowed/welcomed to be created in /usr/bin.
To see what i mean, please have a look at: 
http://sea.hostingsociety.com/?p=Script-Tools&stc=Structure
--> Thats why i thought /usr/bin was no option for my scripts. <<--


The /etc/profile.d/ way was either a suggestion in on of the earlier review requests or in a forum thread.

In the homedirectory, the configuration files are stored.
That is, if you re-install Fedora onto your computer, keeping the current /home partition, you wont have to 'run/search' for all values again, so there is no need to re-setup it (for examples the "dev" or "net nas" section).
Comment 16 Simon A. Erat 2012-07-11 10:58:08 EDT
Forgot to add, the current scripts doesnt work properly on the call: "st dev release".
As soon the release script works, i'll update the upstream and post it here again with the fixed spec (naming!) and the changelog.
Comment 18 Simon A. Erat 2013-08-12 06:17:06 EDT
Created attachment 785633 [details]
Tarball
Comment 19 Simon A. Erat 2013-08-12 06:17:58 EDT
Created attachment 785634 [details]
Specfile
Comment 20 Simon A. Erat 2013-08-12 06:21:16 EDT
Created attachment 785636 [details]
Package 'source'
Comment 21 Simon A. Erat 2013-08-12 06:32:26 EDT
Spec:	http://sourceforge.net/projects/script-tools/files/script-tools.spec/download
Source:	http://sourceforge.net/projects/script-tools/files/script-tools-0.8.2-beta.fc19.src.rpm/download
Repo:	http://sourceforge.net/projects/script-tools/files/script-tools.repo/download
Tarball:	http://sourceforge.net/projects/script-tools/files/script-tools-0.8.2.tar.gz/download
Koji 1:	http://koji.fedoraproject.org/koji/taskinfo?taskID=5796920
Koji 2:	http://koji.fedoraproject.org/koji/taskinfo?taskID=5796912
--------------------------------------------------------------------------
For either explaining, shocking or amusement purposes a video, done early morning after working the night through, to present how one may 'release' package using script-tools (st dev release LABEL) or how i have configured it once, to keep everything working for me with just 1 line in shell.

http://www.youtube.com/watch?v=CIeDLZgHpBM
Comment 22 Simon A. Erat 2013-08-13 07:25:08 EDT

*** This bug has been marked as a duplicate of bug 996530 ***

Note You need to log in before you can comment on or make changes to this bug.